CoCoA-5 - Slug #191

Slow lex gbasis
19 Jun 2012 18:22 - John Abbott

Status: Closed Start date: 19 Jun 2012
Priority: Normal Due date:

Assignee: John Abbott % Done: 100%
Category: Portability Estimated time: 0.00 hour
Target version: CoCoA-5.0.3 Spent time: 0.50 hour
Description

The following example comes from an exercise | gave during Algebra Computazionale

Use QQl[a,b,x,y,2z], Lex;

I := Ideal(x-a”3-b"3-3, y-a"5-b"5-5, z-a~7-b"7-7);
t0 := CpuTime () ;
RGB := ReducedGBasis (I);

PrintLn "Tempo impiegato per calcolare RGB: ", DecimalStr (CpuTime ()-tO0);

On my computer, with the latest development version of CoCoA-5 and CoCoALib, the time taken is about 850s. On a student's
computer (MS Windows, | believe), using the version of CoCoA-5 which was available 1-2 months ago on the website, the same
computation takes about 60s.

I am mentioning this because | think we have not recently changed anything in the G-basis computation code...

I've put this in CoCoALib because | believe that's where the problem lies (even though it came to light when using CoCoA-5).

Related issues:
Related to CoCoA-5 - Feature #19: How to get the version number of CoCoA-5? Closed 04 Nov 2011

History

#1 - 20 Jun 2012 09:32 - Anna Maria Bigatti

- Status changed from New to In Progress

John Abbott wrote:

The following example comes from an exercise | gave during Algebra Computazionale

(-]
On my computer, with the latest development version of CoCoA-5 and CoCoALib, the time taken is about 850s. On a student's computer (MS
Windows, | believe), using the version of CoCoA-5 which was available 1-2 months ago on the website, the same computation takes about 60s.

Also my current version takes about 60s.
| guess you have some experimental part in your working version....
I think | really should add some extra info to Versionlinfo ;-)

#2 - 20 Jun 2012 16:20 - John Abbott
- Status changed from In Progress to Closed

- % Done changed from 0 to 100
| did make veryclean; sync with CVS, and make.
Now mine takes about a minute too... very odd!

No idea why it was so slow before :-(

#3 - 21 Jun 2012 16:24 - Anna Maria Bigatti
John Abbott wrote:

No idea why it was so slow before :-(

I had a similar problem to what you described yesteray: old cocoa running while compiling the new one. Maybe the old one is not deleted until it is
linking time.

#4 - 13 Jul 2012 15:53 - Anna Maria Bigatti
- Project changed from CoCoA to CoCoALib

#5 - 13 Jul 2012 15:53 - Anna Maria Bigatti

- Category set to Various

#6 - 13 Jul 2012 15:54 - Anna Maria Bigatti
- Project changed from CoCoALib to CoCoA-5
- Category deleted (Various)

#7 - 13 Jul 2012 15:54 - Anna Maria Bigatti
- Target version set to CoCoA-5.0.3

#8 - 21 May 2013 18:33 - Anna Maria Bigatti

- Category set to Portability
- Assignee set to John Abbott
